Bug Hunting Session
Bug 108945 - FILEOPEN: DOCX: VML shape is upside down
Summary: FILEOPEN: DOCX: VML shape is upside down
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Grzegorz Araminowicz
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2017-07-04 11:48 UTC by Xisco Faulí
Modified: 2017-08-03 10:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-07-04 11:48:19 UTC
Steps:
1. Open attachment 41983 [details] from bug 33072

Observed Behaviour: Title on first page is upside down

[Bug found by office-interoperability-tools]

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: cb37c5f0f3de7b545231a53d46a5271058af76ad
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-23_06:55:41
Locale: es-ES (es_ES); Calc: group
Comment 1 Xisco Faulí 2017-07-04 11:49:30 UTC
Regression introduced by:

author	Grzegorz Araminowicz <g.araminowicz@gmail.com>	2017-06-06 06:53:39 (GMT)
committer	Jan Holesovsky <kendy@collabora.com>	2017-06-09 14:28:11 (GMT)
commit	c8e3fea4996436d1fd608cf5ef0fdc18f5a8fd7f (patch)
tree	4a29ae2713515c47afa87a3b2b64445e6a5099f2
parent	9614f12bae668dfe848ae6cc0bac091be106fa8e (diff)
GSoC: import VML shape adjustments

Bisected with bibisect-linux64-6.0

Adding Cc: to Grzegorz Araminowicz
Comment 2 Xisco Faulí 2017-07-04 12:57:55 UTC
Same commit ( c8e3fea4996436d1fd608cf5ef0fdc18f5a8fd7f ) broke the connector in attachment 69953 [details] from bug 56950
Comment 3 Commit Notification 2017-07-11 07:47:35 UTC
Grzegorz Araminowicz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ddadcb4f4a2bc6538c219a0a577bdf5999015150

tdf#108945 Correctly import default value in VML shape adjustments

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-07-11 08:42:20 UTC
Fix verified in

Version: 6.0.0.0.alpha0+
Build ID: ddadcb4f4a2bc6538c219a0a577bdf5999015150
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Could you please close this one as RESOLVED FIXED ? Thanks